Bug 210725 - OOo has crashed! - when signing with digital signature
OOo has crashed! - when signing with digital signature
Status: CLOSED DUPLICATE of bug 201305
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 18:00 EDT by Norman Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 04:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Norman Smith 2006-10-13 18:00:44 EDT
Description of problem:
Writer crashes when attempting to sign a document with a digital certificate.
I tried two different certificates installed in Firefox (Fedora/1.5.0.7-1.fc5
Firefox/1.5.0.7).

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.2-5.19.2

How reproducible:
It happens everytime.


Steps to Reproduce:
in Writer
1.Open menu File->Digital Signatures->
2.Add signature
3.Select certificate and then OK
  
Actual results:
Crashes

Expected results:
It should not crash.

Additional info:

From OpenOffice.org Writer

Video Driver is probably: vesa
Desktop is: GNOME
libgcj version is: libgcj-4.1.1-1.fc5
kernel is: Linux 2.6.17-1.2187_FC5 #1 Mon Sep 11 01:17:06 EDT 2006 i686 athlon i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.19.2
accessibility is: false
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x2cf9640: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e640
0x2cf9e80: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1ee80
0x541420:  + 0x420 (__kernel_sigreturn + 0x0)
0x759a826: /usr/lib/libxmlsec1.so.1 + 0x16826 (xmlSecBufferFinalize + 0x26)
0x75ab2fe: /usr/lib/libxmlsec1.so.1 + 0x272fe (xmlSecKeyDataBinaryValueFinalize
+ 0xde)
0x1e2a281: /usr/lib/libxmlsec1-nss.so.1 + 0x17281
0x75ab959: /usr/lib/libxmlsec1.so.1 + 0x27959 (xmlSecKeyDataDestroy + 0x89)
0x75a69a9: /usr/lib/libxmlsec1.so.1 + 0x229a9 (xmlSecKeyEmpty + 0x29)
0x75a6c96: /usr/lib/libxmlsec1.so.1 + 0x22c96 (xmlSecKeyDestroy + 0x26)
0x75afb8a: /usr/lib/libxmlsec1.so.1 + 0x2bb8a (xmlSecPtrListEmpty + 0x5a)
0x75aff5c: /usr/lib/libxmlsec1.so.1 + 0x2bf5c (xmlSecPtrListFinalize + 0x2c)
0x75b000c: /usr/lib/libxmlsec1.so.1 + 0x2c00c (xmlSecPtrListDestroy + 0x2c)
0x1e05a98: /usr/lib/openoffice.org2.0/program/libxsec_xmlsec.so + 0x24a98
(xmlSecNssKeysStoreFinalize + 0xc2)
0x75ae4e7: /usr/lib/libxmlsec1.so.1 + 0x2a4e7 (xmlSecKeyStoreDestroy + 0x37)
0x75ae92c: /usr/lib/libxmlsec1.so.1 + 0x2a92c (xmlSecKeysMngrDestroy + 0x2c)
0x1dfc7d8: /usr/lib/openoffice.org2.0/program/libxsec_xmlsec.so + 0x1b7d8
(SecurityEnvironment_NssImpl::destroyKeysManager(_xmlSecKeysMngr*) + 0x1c)
0x1e01a68: /usr/lib/openoffice.org2.0/program/libxsec_xmlsec.so + 0x20a68
(XMLSignature_NssImpl::generate(com::sun::star::uno::Reference<com::sun::star::xml::crypto::XXMLSignatureTemplate>
const&,
com::sun::star::uno::Reference<com::sun::star::xml::crypto::XSecurityEnvironment>
const&) + 0x22e)
0x6caf869: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x1c869
(SignatureCreatorImpl::startEngine(com::sun::star::uno::Reference<com::sun::star::xml::crypto::XXMLSignatureTemplate>
const&) + 0x35)
0x6cad0a5: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x1a0a5
(SignatureEngine::tryToPerform() + 0x14f)
0x6cac3eb: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x193eb
(SecurityEngine::referenceResolved(long) + 0xf)
0x6cac01a: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x1901a
(ElementCollector::doNotify() + 0x2e)
0x6cac05e: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x1905e
(ElementCollector::notifyListener() + 0x1c)
0x6cab359: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x18359
(BufferNode::elementCollectorNotify() + 0xd9)
0x6cab3f2: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x183f2
(BufferNode::setReceivedAll() + 0x1c)
0x6cb472a: /usr/lib/openoffice.org2.0/program/libxsec_fw.so + 0x2172a
(SAXEventKeeperImpl::endElement(rtl::OUString const&) + 0xe2)
0x68e3550: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x13550
0x68e8bd6: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x18bd6
0x68ddf2d: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0xdf2d
0x68ecd1c: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x1cd1c
0x68ecf66: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x1cf66
0x2f12246: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83246
0x306b9cc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc9cc
(Control::ImplCallEventListenersAndHandler(unsigned long, Link const&, void*) +
0x48)
0x3061a7b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d2a7b
(Button::Click() + 0x25)
0x3066a4b: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d7a4b
(PushButton::Tracking(TrackingEvent const&) + 0x13d)
0x305c411: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cd411
(Window::EndTracking(unsigned short) + 0x107)
0x305f3a0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d03a0
0x3060b2f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1b2f
0x305f9f6: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d09f6
0xe1b86a: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x3086a
0xe19eb5: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2eeb5
0xf4f58e: /usr/lib/libgtk-x11-2.0.so.0 + 0x12358e
0x12abf8b: /usr/lib/libgobject-2.0.so.0 + 0x8f8b (g_closure_invoke + 0x12b)
0x12bce3d: /usr/lib/libgobject-2.0.so.0 + 0x19e3d
0x12be10f: /usr/lib/libgobject-2.0.so.0 + 0x1b10f (g_signal_emit_valist + 0x68f)
0x12be509: /usr/lib/libgobject-2.0.so.0 + 0x1b509 (g_signal_emit + 0x29)
0x103a858: /usr/lib/libgtk-x11-2.0.so.0 + 0x20e858
0xf48f63: /usr/lib/libgtk-x11-2.0.so.0 + 0x11cf63 (gtk_propagate_event + 0x183)
0xf4a1b7: /usr/lib/libgtk-x11-2.0.so.0 + 0x11e1b7 (gtk_main_do_event + 0x317)
0x119585a: /usr/lib/libgdk-x11-2.0.so.0 + 0x4085a
0x6cfe15d: /usr/lib/libglib-2.0.so.0 + 0x2515d (g_main_context_dispatch + 0x16d)
0x6d013ef: /usr/lib/libglib-2.0.so.0 + 0x283ef
0x6d01955: /usr/lib/libglib-2.0.so.0 + 0x28955 (g_main_context_iteration + 0x65)
0xdfec23: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x13c23
0x2c341a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x431a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x2f19aba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8aaba
(Application::Yield() + 0x48)
0x3007a71: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x178a71
(Dialog::Execute() + 0x14f)
0x68ecfa3: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x1cfa3
0x68f988b: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x2988b
0x68f9b05: /usr/lib/openoffice.org2.0/program/libxmlsecurity.so + 0x29b05
0x39ee713: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x114713
0x3a1709a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13d09a
0x3a1716b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13d16b
(SfxObjectShell::SignDocumentContent() + 0xd)
0x3a1513c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13b13c
0x3a1717e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13d17e
0x3a88bb4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1aebb4
0x3a87821: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad821
0x3a879ab: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ad9ab
0x3a87a4e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ada4e
0x39830bc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa90bc
0x3aa0fd5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6fd5
0x3aa0d90: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6d90
0x3aa0fea: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6fea
0x3aa0d7c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1c6d7c
0x2f12246: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83246
0x30600d2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d10d2
0x2c0f6f8: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1e6f8
0x2c31f0c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x40f0c
(SalDisplay::DispatchInternalEvent() + 0x64)
0xdffc4c: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14c4c
0x6cfc7a1: /usr/lib/libglib-2.0.so.0 + 0x237a1
0x6cfe15d: /usr/lib/libglib-2.0.so.0 + 0x2515d (g_main_context_dispatch + 0x16d)
0x6d013ef: /usr/lib/libglib-2.0.so.0 + 0x283ef
0x6d01955: /usr/lib/libglib-2.0.so.0 + 0x28955 (g_main_context_iteration + 0x65)
0xdfec23: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x13c23
0x2c341a9: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x431a9
(X11SalInstance::Yield(unsigned char) + 0x27)
0x2f19aba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8aaba
(Application::Yield() + 0x48)
0x2f19b3e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ab3e
(Application::Execute() + 0x26)
0x3ea0f73: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24f73
(desktop::Desktop::Main() + 0x15af)
0x2f1d96a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e96a
0x2f1da1d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea1d (SVMain()
+ 0x2b)
0x3e9ae53: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1ee53 (sal_main
+ 0x57)
0x3e9ae9f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1ee9f (main + 0x27)
0x5744e4: /lib/libc.so.6 + 0x154e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4d1
Comment 1 Caolan McNamara 2006-10-16 04:52:48 EDT

*** This bug has been marked as a duplicate of 201305 ***

Note You need to log in before you can comment on or make changes to this bug.